import cascading.tuple._
import com.twitter.scalding._

class DiscardTestJob(args : Args) extends Job(args) {
    TextLine(args("in")).flatMapTo('words) { line => line.split("\\s+") }
        .map('words -> 'wsize) { word : String => word.length }
            .discard('words)
                .map(Fields.ALL -> 'correct) { te : TupleEntry => !te.getFields.contains('words) }
                    .groupAll { _.forall('correct -> 'correct) { x : Boolean => x } }
                        .write(Tsv(args("out")))
}
